Subject: Re: [RFC PATCH] fast-export, fast-import: Let tags specify an internal name

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 Apr 2021 09:59:31 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> I actually think this is a good direction to go in, and it might be
>> even an acceptable change to fsck to require only the tail match of
>> tagname and refname so that it becomes perfectly OK for Gitk's
>> "v0.0.1" tag to be stored at say "refs/tags/gitk/v0.0.1".
>
> Do you mean to change fsck to care about this it all? It doesn't care
> about the refname pointing to a tag, and AFAICT we never did.

I misspoke.  What I had in mind was the existing behaviour of the
"describe" tool that warns when the in-object tagname does not match
where it is found in the refs/tags/ hierarchy.

But I do not think allowing "fsck" to perform the same check would
be wrong.  It would be good for consistency, but then we'd need more
serious thought about what is and what is not considered worthy of
a warning (or worse) than a mere warning from "describe".